genesis_chunked

Get Genesis in multiple chunks

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get genesis document in multiple chunks to make it easier to iterate through larger genesis structures. Each chunk is produced by converting the genesis document to JSON and then splitting the resulting payload into 16MB blocks, and then Base64-encoding each block.

Upon success, the Cache-Control header will be set with the default maximum age.

Parameters

  • OBJECT - parameters
    • chunk: INTEGER - Sequence number of the chunk to download. (default: 0)
curl https://cosmos-mainnet-archive.allthatnode.com:26657/8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj \
--header "Content-Type: application/json" \
--data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "genesis_chunked",
  "params": {
    "chunk": "10"
  }
}'

Returns

❗️

Note

Due to the genesis data is too huge, All That Node is prohibiting the transmission of the API method.

  • OBJECT - genesis data
{"jsonrpc":"2.0","id":1,"error":{"code":-32603,"message":"Internal error","data":"genesis response is large, please use the genesis_chunked API instead"}}

Try Yourself

Path Params
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj
Query Params
string
Body Params
string
required
Defaults to 2.0
int32
required
Defaults to 1
string
required
Defaults to dial_peers
params
object
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!